Linux安全网 - Linux操作系统_Linux 命令_Linux教程_Linux黑客

绿色网站无广告
会员投稿 投稿指南 本期推荐:
搜索:
您的位置: Linux安全网 > Linux培训 > » 正文

Unsupported major.minor version 51.0

来源: beefcow 分享至:

Eclipse中运行好好的WebProject,拿到Tomcat下运行就一直报错,看log,比较可疑的地方出现在这里:

Caused by: java.lang.UnsupportedClassVersionError: ...: Unsupported major.minor version 51.0 (unable to load class )

问题的根源是JDK版本不兼容。

eclipse中代码编译针对的java版本为1.7.0.而我自己的linux使用的java为1.6.0

老平台无法兼容新代码。

解决办法就是修改linux的默认java版本呗,把1.6.0改为1.7.0。

我自己的做法是修改/etc/profile,在其中插入如下设置环境变量的代码:

PATH=/usr/local/java/jdk1.7.0/bin:$PATH JAVA_HOME=/usr/local/java/jdk1.7.0 export PATH export JAVA_HOME

这样tomcat 在启动时就会自动根据 $JAVA_HOME 去查找新的java了,problem solved : )

ps.一个小插曲是即使按上面设置了还是报同样的错误,才发现因为我tomcat端口因为改为80,启动需要root权限,而$JAVA_HOME的生效范围又仅止于当前用户,所以环境变量根本没有生效,难怪一样出错。解决方法嘛,你自己想咯


Tags:
分享至:
最新图文资讯
1 2 3 4 5 6
验证码:点击我更换图片 理智评论文明上网,拒绝恶意谩骂 用户名:
关于我们 - 联系我们 - 广告服务 - 友情链接 - 网站地图 - 版权声明 - 发展历史